VSTGUI: IWindowController Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Member Functions | List of all members
IWindowController Class Referenceabstract
Standalone Library

Window controller interface. More...

`#include <iwindowcontroller.h>`

Inheritance diagram for IWindowController:

## Public Member Functions
virtual CPoint | constraintSize (const IWindow &window, const CPoint &newSize)=0
| Constraint the size of the window. More...
virtual bool | canClose (const IWindow &window)=0
| Can window close? More...
virtual void | beforeShow (IWindow &window)=0
| Window will show. More...
virtual PlatformFrameConfigPtr | createPlatformFrameConfig (PlatformType platformType)=0
| Create the platform frame configuration object. More...
virtual void | onSetContentView (IWindow &window, const SharedPointer< CFrame > &contentView)=0
| Content view of window is changed. More...
virtual const IMenuBuilder * | getWindowMenuBuilder (const IWindow &window) const =0
| Get the menu builder for this window. More...
Public Member Functions inherited from IWindowListener
virtual void | onSizeChanged (const IWindow &window, const CPoint &newSize)=0
| Size of window is changed. More...
virtual void | onPositionChanged (const IWindow &window, const CPoint &newPosition)=0
| Position of window is changed. More...
virtual void | onShow (const IWindow &window)=0
| Window is shown. More...
virtual void | onHide (const IWindow &window)=0
| Window is hidden. More...
virtual void | onClosed (const IWindow &window)=0
| Window is closed. More...
virtual void | onActivated (const IWindow &window)=0
| Window is activated. More...
virtual void | onDeactivated (const IWindow &window)=0
| Window is deactivated. More...
Public Member Functions inherited from Interface
virtual | ~Interface () noexcept
| Interface ()=default
| Interface (const Interface &)=delete
| Interface (Interface &&)=delete
Interface & | operator= (const Interface &)=delete
Interface & | operator= (Interface &&)=delete
template<typename T >
const auto | dynamicCast () const
template<typename T >
auto | dynamicCast ()

## Detailed Description

Window controller interface.

## Member Function Documentation

## ◆ beforeShow()

virtual void beforeShow | ( | IWindow & | window | ) |
| pure virtual

Window will show.

Implemented in WindowControllerAdapter.

## ◆ canClose()

virtual bool canClose | ( | const IWindow & | window | ) |
| pure virtual

Can window close?

Implemented in WindowControllerAdapter.

## ◆ constraintSize()

virtual CPoint constraintSize | ( | const IWindow & | window,
|  | const CPoint & | newSize
| ) |  |
| pure virtual

Constraint the size of the window.

Implemented in WindowControllerAdapter.

## ◆ createPlatformFrameConfig()

virtual PlatformFrameConfigPtr createPlatformFrameConfig | ( | PlatformType | platformType | ) |
| pure virtual

Create the platform frame configuration object.

Can be nullptr.

Implemented in WindowControllerAdapter.

## ◆ getWindowMenuBuilder()

virtual const IMenuBuilder * getWindowMenuBuilder | ( | const IWindow & | window | ) | const
| pure virtual

Get the menu builder for this window.

Implemented in WindowControllerAdapter.

## ◆ onSetContentView()

virtual void onSetContentView | ( | IWindow & | window,
|  | const SharedPointer< CFrame > & | contentView
| ) |  |
| pure virtual

Content view of window is changed.

Implemented in WindowControllerAdapter.

The documentation for this class was generated from the following file:

- iwindowcontroller.h